店舗のトッピンググループ一覧取得
GET
/stores/{store_id}/topping_groups
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores/example/topping_groups?limit=20&sort=id&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores/example/topping_groups?limit=20&sort=id&page=1' \ --header 'Authorization: Bearer <token>'店舗で取り扱うトッピンググループの一覧を取得します
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
店舗ID
Query Parameters
Section titled “Query Parameters”limit
integer
取得件数
Example
20sort
string
ソート順
id: トッピンググループIDname: トッピンググループ名
Example
idpage
integer
ページ番号
Example
1Responses
Section titled “Responses”OK
Media typeapplication/json
Array
object
id
required
トッピンググループID
string
name
トッピンググループ名
string
createdIn
作成元サービス
string
rule
選択条件
null:条件なし
object
condition
条件
all: 全体category: カテゴリ毎
string
max
上限
integer
min
下限
integer
toppings
店舗で取り扱うトッピング
Array
object
id
required
トッピングID
string
name
トッピング名
string
categoryId
カテゴリーID
string
prices
Array
PriceSettingobject
taxRate
税率
number
taxType
税種別
normal:標準reduced:軽減none:非課税
string
amount
金額
string
tax
金額の税情報
include: 税込exclude: 税抜none: 非課税
※ 注文のリクエストボディで指定できる tax (金額の税情報)と単語が一致していませんのでご注意ください。
※ テーブル利用セクション、注文セクションのレスポンスに含まれる sellingPrice<NewOrderItemPrice> の tax (金額の税情報)と単語が一致していません。
string
primary
複数価格存在する場合の初期選択設定
true:初期選択値false:初期選択でない
boolean
Examples
Exampleレスポンス例
[ { "id": "7", "name": "ラーメントッピング", "createdIn": "waiter", "rule": { "condition": "all", "max": 3, "min": 0 }, "toppings": [ { "id": "8", "name": "もやし", "categoryId": "1", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "80", "tax": "include", "primary": true } ] }, { "id": "9", "name": "煮卵", "categoryId": "2", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "100", "tax": "include", "primary": true } ] }, { "id": "10", "name": "チャーシュー", "categoryId": "3", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "200", "tax": "include", "primary": true } ] } ] }, { "id": "11", "name": "カレートッピング", "createdIn": "waiter", "rule": null, "toppings": [ { "id": "12", "name": "カツ", "categoryId": "4", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "120", "tax": "include", "primary": true } ] }, { "id": "13", "name": "エビフライ", "categoryId": "5", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "200", "tax": "include", "primary": true } ] }, { "id": "14", "name": "福神漬け", "categoryId": "6", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "50", "tax": "include", "primary": true } ] } ] }]Headers
Section titled “Headers”Link
string
<前のURI>; rel="prev", <次のURI>; rel="next"